<?php
function broj_reci($recenica)
{
$reci = explode(' ',$recenica);
$i=0;
while($reci[$i]!="|")
{
$i++;
}
return $i;
}

function normalizacija($recenica)
{
$reci = explode(' ',$recenica);
$reci_lenght=broj_reci($recenica);
$normalizovana_recenica="";
for($i=0; $i < $reci_lenght; $i++)
{
if(strlen($reci[$i])>=4)
{
$ostatak_reci[$i] = substr($reci[$i], 0, 4);
}
else
{
$ostatak_reci[$i] = $reci[$i];
}
if($i<$reci_lenght-1)
{
$normalizovana_recenica=$normalizovana_recenica.$ostatak_reci[$i]." ";
}
else
{
$normalizovana_recenica=$normalizovana_recenica.$ostatak_reci[$i]." |";
}}
return $normalizovana_recenica;
}

function ind_reci_u_nizu($rec,$niz,$n)
{
	$p=0;
	$ind;
	for($i=0;$i<$n;$i++)
	{
	if($rec==$niz[$i])
	{
	$p=1;
	$ind=$i;
	}
	}
	if($p==1)
	{
	return $ind;
	}
	else
	{
	return -1;
	}
	
	
}

function broj_ponavljanja_reci($recenica)
{
$reci = explode(' ',$recenica);
$reci_lenght=broj_reci($recenica);
$l=0;
$niz_reci[$l]="";
$niz_ponavljanja[$l]=0;
for($i=0; $i < $reci_lenght; $i++)
{
$m=ind_reci_u_nizu($reci[$i],$niz_reci,$l);
if($m!=-1)
{
$niz_ponavljanja[$m]++;
}
else
{
$niz_reci[$l]=$reci[$i];
$niz_ponavljanja[$l]=1;
$l++;
}
}

//echo "<table border='1'><tr><td>Niz reci</td><td>Niz ponavljanja</td></tr>";
for($k=0;$k<$l;$k++)
{
//echo "<tr><td>".$niz_reci[$k]."</td><td>".$niz_ponavljanja[$k]."</td></tr>";
}
}

$recenica2="završio upisao prošle godine dao topografiju polagao kolokvijum iste izađem ispit čuo polagali ispitu |";
$recenica3=normalizacija($recenica2);
//echo $recenica3.".</br>";
broj_ponavljanja_reci($recenica3);
?>